# Uses of Interface
org.opensaml.saml.saml2.core.Scoping

Packages that use Scoping
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.testing

## Uses of Scoping in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Scoping
Modifier and Type
Method
Description
`Scoping`
AuthnRequest.`getScoping()`
Gets the `Scoping` of the request.
Methods in org.opensaml.saml.saml2.core with parameters of type Scoping
Modifier and Type
Method
Description
`void`
AuthnRequest.`setScoping(Scoping newScoping)`
Sets the `Scoping` of the request.

## Uses of Scoping in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Scoping
Modifier and Type
Class
Description
`class`
`ScopingImpl`
Concrete implementation of `Scoping`.
Fields in org.opensaml.saml.saml2.core.impl declared as Scoping
Modifier and Type
Field
Description
`private Scoping`
AuthnRequestImpl.`scoping`
Scoping child element.
Methods in org.opensaml.saml.saml2.core.impl that return Scoping
Modifier and Type
Method
Description
`Scoping`
ScopingBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Scoping`
ScopingBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Scoping`
AuthnRequestImpl.`getScoping()`
Gets the `Scoping` of the request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Scoping
Modifier and Type
Method
Description
`void`
AuthnRequestImpl.`setScoping(Scoping newScoping)`
Sets the `Scoping` of the request.

## Uses of Scoping in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return Scoping
Modifier and Type
Method
Description
`static Scoping`
SAML2ActionTestingSupport.`buildScoping(Integer count, Set<String> idplist)`
Build a `Scoping`.